## librtas 1.3.6

=== Makefile ===
#
# Makefile for librtas
#

include rules.mk

.SILENT:

FILES = README COPYRIGHT
SUBDIRS = librtas_src librtasevent_src libofdt_src

TARBALL_FILES += $(FILES) doxygen.rtas doxygen.rtasevent Changelog

all:
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;) 
	# Update spec file for build type
	@sed "s|\@LIB_DIR\@|$(LIB_DIR)$(call is_lib64,librtas_src/librtas.so.$(VERSION))|g" $(SPECFILE_IN) > $(SPECFILE)

install:
	@$(call install_doc,$(FILES),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;) 

uninstall:
	@$(call uninstall_doc,$(FILES),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;) 

rpm: all
	@echo "Creating rpm..."
	@export DESTDIR=$(SHIPDIR); $(MAKE) install
	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,librtas_src/librtas.so.$(VERSION))/librtas.so
	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,librtasevent_src/librtasevent.so.$(VERSION))/librtasevent.so
	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,libofdt_src/libofdt.so.$(VERSION))/libofdt.so
	@$(RPM) -bb $(SPECFILE)
	@rm -rf $(SHIPDIR)

doc:	
	@echo "Creating doxygen documents..."
	@mkdir -p doc/librtasevent
	@mkdir -p doc/librtas
	@mkdir -p doc/libofdt
	@$(DOXYGEN) doxygen.rtas
	@$(DOXYGEN) doxygen.rtasevent
	@$(DOXYGEN) doxygen.ofdt

tarball: clean
	@echo "Creating release tarball..."
	@$(BUILD_TARBALL)

devball: clean
	@echo "Creating snapshot tarball..."
	@$(BUILD_DEVBALL)

clean:
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;) 
	@$(CLEAN) $(SHIPDIR) $(TARBALL) $(DEVBALL) $(SPECFILE) doc
