=== debian/changelog ===
librtas (1.3.6-1) unstable; urgency=low

  * Initial release.  (Closes: #386676)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 Jun 2012 23:57:57 +0200
