=== debian/control ===
Source: librtas
Maintainer: Aurelien Jarno <aurel32@debian.org>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://librtas.sourceforge.net

Package: librtas1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace RTAS library
 This library allows user-space programs to make Run-Time Abstraction
 Services (RTAS) calls which provide support for low-level system
 hardware configuration and operations, such as retrieving hardware
 sensor (temperature, fan speed, etc.) data, setting the operator
 panel LEDs, getting hardware error logs, injecting artificial
 hardware errors (for testing), getting VPD (Vital Product Data), and
 loading new firmware.

Package: librtas-dev
Architecture: any
Section: libdevel
Depends: librtas1 (= ${binary:Version}), ${misc:Depends}
Description: userspace RTAS library development files
 This library allows user-space programs to make Run-Time Abstraction
 Services (RTAS) calls which provide support for low-level system
 hardware configuration and operations, such as retrieving hardware
 sensor (temperature, fan speed, etc.) data, setting the operator
 panel LEDs, getting hardware error logs, injecting artificial
 hardware errors (for testing), getting VPD (Vital Product Data), and
 loading new firmware.
 .
 This package contains the static library and header files used in
 development.

Package: librtasevent1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RTAS events library
 This library provides a set of definitions and useful routines
 for analyzing RTAS events, such as parsing out sections of an RTAS
 event and printing their contents.

Package: librtasevent-dev
Architecture: any
Section: libdevel
Depends: librtasevent1 (= ${binary:Version}), ${misc:Depends}
Description: RTAS events library development files
 This library provides a set of definitions and useful routines
 for analyzing RTAS events, such as parsing out sections of an RTAS
 event and printing their contents.
 .
 This package contains the static library and header files used in
 development.

Package: libofdt1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: device-tree parsing library
 This library provide an API to read values and parse data from
 /proc/device-tree, that is used to export most of the hardware
 bindings and values.

Package: libofdt-dev
Architecture: any
Section: libdevel
Depends: libofdt1 (= ${binary:Version}), ${misc:Depends}
Description: device-tree parsing library development files
 This library provide an API to read values and parse data from
 /proc/device-tree, that is used to export most of the hardware
 bindings and values.
 .
 This package contains the static library and header files used in
 development.
