=== debian/changelog ===
librtas (1.3.10-0ubuntu2) trusty; urgency=medium

  * Arch-restrict to powerpc/ppc64/ppc64el, nothing else uses this lib.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 05 Apr 2014 05:47:02 -0600

librtas (1.3.10-0ubuntu1) trusty; urgency=medium

  * New upstream release, with more little-endian fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 23 Mar 2014 11:36:50 -0600

librtas (1.3.9-0ubuntu1) trusty; urgency=medium

  * New upstream release, fixing endian issues with device tree.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Mar 2014 13:42:14 -0600

librtas (1.3.8-0ubuntu1) trusty; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2014 11:43:11 +0100
