=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: librtas
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
 Section: libs
 Priority: extra
 Build-Depends: debhelper (>= 7)
@@ -7,7 +8,7 @@
 Homepage: http://librtas.sourceforge.net
 
 Package: librtas1
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -21,7 +22,7 @@
  loading new firmware.
 
 Package: librtas-dev
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libdevel
 Depends: librtas1 (= ${binary:Version}), ${misc:Depends}
 Description: userspace RTAS library development files
@@ -37,7 +38,7 @@
  development.
 
 Package: librtasevent1
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -47,7 +48,7 @@
  event and printing their contents.
 
 Package: librtasevent-dev
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libdevel
 Depends: librtasevent1 (= ${binary:Version}), ${misc:Depends}
 Description: RTAS events library development files
@@ -59,7 +60,7 @@
  development.
 
 Package: libofdt1
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -69,7 +70,7 @@
  bindings and values.
 
 Package: libofdt-dev
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libdevel
 Depends: libofdt1 (= ${binary:Version}), ${misc:Depends}
 Description: device-tree parsing library development files
