## librtas 1.3.12

=== debian/changelog ===
librtas (1.3.12-1) unstable; urgency=medium

  * New upstream release, with more little-endian fixes (LP: #1359421)

 -- Adam Conrad <adconrad@0c3.net>  Tue, 26 Aug 2014 12:25:56 -0600

librtas (1.3.11-1) unstable; urgency=medium

  * New upstream release, with more fixes for little-endian hosts:
    - debian/patches/04_bashisms.patch: Dropped, merged upstream.
  * debian/librtasevent1.symbols: Adjust for new symbols in .9/.10

 -- Adam Conrad <adconrad@0c3.net>  Sat, 28 Jun 2014 19:59:28 -0600

librtas (1.3.10-1) unstable; urgency=medium

  * Soft highjack with the previous maintainer's consent (thanks, Aurelien)
    - Changing maintainer to me, and adding Frederic Bonnard as an uploader
      to annotate the intention of IBM to comaintain this package in future
  * Import changes from Ubuntu, with new upstream updates (Closes: #744946)
  * Add debian/watch file from qa.debian.org to track new upstream versions
  * Clean up some lintian warnings, and bump our Standards-Version to 3.9.5

 -- Adam Conrad <adconrad@0c3.net>  Wed, 07 May 2014 10:08:38 -0600
