## librtas 1.3.13

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 FILES = README COPYRIGHT
 SUBDIRS = librtas_src librtasevent_src libofdt_src
 
-TARBALL_FILES += $(FILES) doxygen.rtas doxygen.rtasevent Changelog
+TARBALL_FILES += $(FILES) doc/doxygen.rtas doc/doxygen.rtasevent Changelog
 
 all:
 	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;) 
@@ -33,14 +33,12 @@
 	@$(RPM) -bb $(SPECFILE)
 	@rm -rf $(SHIPDIR)
 
-doc:	
+docs:	
 	@echo "Creating doxygen documents..."
 	@mkdir -p doc/librtasevent
 	@mkdir -p doc/librtas
-	@mkdir -p doc/libofdt
-	@$(DOXYGEN) doxygen.rtas
-	@$(DOXYGEN) doxygen.rtasevent
-	@$(DOXYGEN) doxygen.ofdt
+	@$(DOXYGEN) doc/doxygen.rtas
+	@$(DOXYGEN) doc/doxygen.rtasevent
 
 tarball: clean
 	@echo "Creating release tarball..."
@@ -52,4 +50,6 @@
 
 clean:
 	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;) 
-	@$(CLEAN) $(SHIPDIR) $(TARBALL) $(DEVBALL) $(SPECFILE) doc
+	@echo "Cleaning up doxygen files..."
+	@rm -rf doc/librtas doc/librtasevent
+	@$(CLEAN) $(SHIPDIR) $(TARBALL) $(DEVBALL) $(SPECFILE)
