=== debian/changelog ===
librtas (1.3.13-1~14.04) trusty; urgency=medium

  * Straight backport to trusty for ppc64el hardware enablement.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 16 Jan 2015 09:28:42 -0700

librtas (1.3.13-1) unstable; urgency=medium

  * New upstream release, with even more LE fixes (LP: #1391322)
  * debian/librtasevent1.symbols: Update for new 1.3.13 symbols.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 15 Jan 2015 08:23:08 -0700
