=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: librtas
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Adam Conrad <adconrad@0c3.net>
+Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
 Section: libs
 Priority: extra
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://librtas.sourceforge.net
 
 Package: librtas1
 Architecture: powerpc ppc64 ppc64el
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: userspace RTAS library
@@ -39,7 +38,6 @@
 
 Package: librtasevent1
 Architecture: powerpc ppc64 ppc64el
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: RTAS events library
@@ -61,7 +59,6 @@
 
 Package: libofdt1
 Architecture: powerpc ppc64 ppc64el
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: device-tree parsing library
