=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/librtas/librtas[_\-]v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
