=== librtas_src/Makefile ===
--- 
+++ 
@@ -2,8 +2,20 @@
 # Makefile for librtas
 #
 # Copyright (C) 2005 IBM Corporation
-# Common Public License Version 1.0 (see COPYRIGHT)
 #
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
 include ../rules.mk
 
@@ -11,10 +23,10 @@
 LIBRTAS_STATIC = librtas.a
 LIBRTAS = $(LIBRTAS_SONAME).$(VERSION)
 
-LIBRTAS_OBJS = common.o ofdt.o syscall_calls.o syscall_rmo.o procfs_calls.o
+LIBRTAS_OBJS = ofdt.o syscall_calls.o syscall_rmo.o
 
 LIBRTAS_HDR = librtas.h
-HEADERS	= $(LIBRTAS_HDR) common.h
+HEADERS	= $(LIBRTAS_HDR)
 
 CFLAGS += -fPIC -DPIC
 LDFLAGS += -shared -Wl,-soname -Wl,$(LIBRTAS_SONAME).$(MAJOR_NO)
@@ -31,13 +43,17 @@
 
 install:
 	@$(call install_lib,$(LIBRTAS),$(DESTDIR))
+	@$(call install_lib,$(LIBRTAS_STATIC),$(DESTDIR))
 	@$(call install_inc,$(HEADERS),$(DESTDIR))
 	@ln -sf $(LIBRTAS) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME)
+	@ln -sf $(LIBRTAS) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME).$(MAJOR_NO)
 
 uninstall:
 	@$(call uninstall_lib,$(LIBRTAS),$(DESTDIR))
-	@$(call uninstall_inc,$(LIBRTAS_HDR),$(DESTDIR))
+	@$(call uninstall_lib,$(LIBRTAS_STATIC),$(DESTDIR))
+	@$(call uninstall_inc,$(HEADERS),$(DESTDIR))
 	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME)
+	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME).$(MAJOR_NO)
 
 clean:
 	@echo "Cleaning up $(WORK_DIR) files..."
