=== debian/changelog ===
librtas (2.0.0-1) unstable; urgency=medium

  * New upstream release, update debian/copyright to LGPL (LP: #1539543)
  * Rewrite debian/watch file to track upstream's move to github/nfont.
  * Update Standards-Version to 3.9.7 and tidy up our lintian warnings.
  * Dtop liboftd1 and libofdt-dev from debian/* as upstream removed it.
  * Pass '-c4' to dh_makeshlibs to force examination of symbol updates.
  * Update debian/compat and debian/control debhelper usages to (>= 9).
  * Drop patches upstream: shlib-symlink, format-security, static-libs.
  * Bump SOVER to 2 and update symbol files to match upstream ABI break.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 06 Apr 2016 09:48:14 -0600
