=== debian/control ===
Source: librtas
Maintainer: Adam Conrad <adconrad@0c3.net>
Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7
Homepage: http://librtas.sourceforge.net

Package: librtas2
Architecture: powerpc ppc64 ppc64el
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace RTAS library
 This library allows user-space programs to make Run-Time Abstraction
 Services (RTAS) calls which provide support for low-level system
 hardware configuration and operations, such as retrieving hardware
 sensor (temperature, fan speed, etc.) data, setting the operator
 panel LEDs, getting hardware error logs, injecting artificial
 hardware errors (for testing), getting VPD (Vital Product Data), and
 loading new firmware.

Package: librtas-dev
Architecture: powerpc ppc64 ppc64el
Section: libdevel
Depends: librtas2 (= ${binary:Version}), ${misc:Depends}
Description: userspace RTAS library development files
 This library allows user-space programs to make Run-Time Abstraction
 Services (RTAS) calls which provide support for low-level system
 hardware configuration and operations, such as retrieving hardware
 sensor (temperature, fan speed, etc.) data, setting the operator
 panel LEDs, getting hardware error logs, injecting artificial
 hardware errors (for testing), getting VPD (Vital Product Data), and
 loading new firmware.
 .
 This package contains the static library and header files used in
 development.

Package: librtasevent2
Architecture: powerpc ppc64 ppc64el
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RTAS events library
 This library provides a set of definitions and useful routines
 for analyzing RTAS events, such as parsing out sections of an RTAS
 event and printing their contents.

Package: librtasevent-dev
Architecture: powerpc ppc64 ppc64el
Section: libdevel
Depends: librtasevent2 (= ${binary:Version}), ${misc:Depends}
Description: RTAS events library development files
 This library provides a set of definitions and useful routines
 for analyzing RTAS events, such as parsing out sections of an RTAS
 event and printing their contents.
 .
 This package contains the static library and header files used in
 development.
