=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/librtas-$1\.tar\.gz/ \
  https://github.com/nfont/librtas/releases .*/v?(\d\S*)\.tar\.gz
