## librtas 2.0.3

=== debian/changelog ===
librtas (2.0.3-1) unstable; urgency=medium

  * Update to new upstream version 2.0.3 (Closes: #978490)
  * Adapt packaging to upstream's move to autotools
  * Add new symbol to d/librtas2.symbols

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 08 Jun 2022 11:53:05 +0200

librtas (2.0.0-3) unstable; urgency=medium

  * Put F.Bonnard as new maintainer (Closes: #986952)
  * Upgrade debhelper compatibility version
  * Replace priority extra by optional
  * Simplify d/rules (Closes: #918186)
  * Deal with not installed README and COPYING.LESSER files
  * Keep lintian remind me about upstream gpg signatures
  * Fix misc infos
  * Add Build-Depends-Package field to d/*.symbols
  * Update d/watch according to updated upstream git tree location
  * Add Vcs-* field to d/control
  * Bump Standards-Version to 4.6.0.1

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 02 Jun 2022 17:15:41 +0200

librtas (2.0.0-2) unstable; urgency=medium

  * 02_errinjct.patch: Fix endianess issue with errinjct (LP: #1597363)

 -- Adam Conrad <adconrad@0c3.net>  Mon, 04 Jul 2016 05:50:22 -0600
