=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: librtas
-Maintainer: Adam Conrad <adconrad@0c3.net>
-Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
+Maintainer: Frédéric Bonnard <frediz@debian.org>
 Section: libs
-Priority: extra
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
-Homepage: http://librtas.sourceforge.net
+Priority: optional
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/librtas.git
+Vcs-Browser: https://salsa.debian.org/debian/librtas
+Homepage: https://github.com/ibm-power-utilities/librtas
 
 Package: librtas2
 Architecture: powerpc ppc64 ppc64el
@@ -56,4 +58,3 @@
  .
  This package contains the static library and header files used in
  development.
-
