## librtas 2.0.4

=== debian/changelog ===
librtas (2.0.4-1) unstable; urgency=medium

  * Update to new upstream version 2.0.4.
  * Drop useless librtas.pc
  * Bump Standards-Version
  * Update d/copyright date

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 31 Jan 2023 11:02:07 +0100
